<div id="historical-consumption">
  <div class="chart-container border-grey-900">
    <div class="m-1 d-flex justify-content-between">
      <h2>CPU</h2>
      <div class="d-flex align-items-center mr-1">
        <div class="mr-1 bg-ec border-grey-300 p-1">
          <div class="text-grey-600">Average CPU</div>
          <div class="fw-700">
            {{
              (quantityHistoricalConsumptions[0].average | number: "1.0-3") +
                "%"
            }}
          </div>
        </div>

        <div>
          <mat-form-field color="primary">
            <mat-label>Period</mat-label>
            <mat-date-range-input
              [formGroup]="cpuRange"
              [rangePicker]="cpuRangePicker"
              [min]="minDate"
              [max]="today"
            >
              <input
                matStartDate
                formControlName="start"
                placeholder="Start date"
              />
              <input matEndDate formControlName="end" placeholder="End date" />
            </mat-date-range-input>
            <mat-datepicker-toggle matIconSuffix [for]="cpuRangePicker">
              <mat-icon matDatepickerToggleIcon>keyboard_arrow_down</mat-icon>
            </mat-datepicker-toggle>
            <mat-date-range-picker #cpuRangePicker></mat-date-range-picker>
          </mat-form-field>
        </div>
      </div>
    </div>
    <div echarts class="echart" [id]="idPrefix + 'cpu'" #historicalCharts></div>
  </div>

  <div class="chart-container border-grey-900">
    <div class="m-1 d-flex justify-content-between">
      <h2>Memory</h2>
      <div class="d-flex align-items-center mr-1">
        <div class="mr-1 bg-ec border-grey-300 p-1">
          <div class="text-grey-600">Average Memory</div>
          <div class="fw-700">
            {{
              (quantityHistoricalConsumptions[1].average | number: "1.0-1") +
                "%"
            }}
          </div>
        </div>

        <div>
          <mat-form-field color="primary">
            <mat-label>Period</mat-label>
            <mat-date-range-input
              [formGroup]="memoryRange"
              [rangePicker]="memoryRangePicker"
              [min]="minDate"
              [max]="today"
            >
              <input
                matStartDate
                formControlName="start"
                placeholder="Start date"
              />
              <input matEndDate formControlName="end" placeholder="End date" />
            </mat-date-range-input>
            <mat-datepicker-toggle matIconSuffix [for]="memoryRangePicker">
              <mat-icon matDatepickerToggleIcon>keyboard_arrow_down</mat-icon>
            </mat-datepicker-toggle>
            <mat-date-range-picker #memoryRangePicker></mat-date-range-picker>
          </mat-form-field>
        </div>
      </div>
    </div>
    <div
      echarts
      class="echart"
      [id]="idPrefix + 'memory'"
      #historicalCharts
    ></div>
  </div>

  <div class="chart-container border-grey-900">
    <div class="m-1 d-flex justify-content-between">
      <h2>Storage</h2>
      <div class="d-flex align-items-center mr-1">
        <div class="mr-1 bg-ec border-grey-300 p-1">
          <div class="text-grey-600">Average Storage</div>
          <div class="fw-700">
            {{
              (quantityHistoricalConsumptions[2].average | number: "1.0-1") +
                "%"
            }}
          </div>
        </div>

        <div>
          <mat-form-field color="primary">
            <mat-label>Period</mat-label>
            <mat-date-range-input
              [formGroup]="storageRange"
              [rangePicker]="storageRangePicker"
              [min]="minDate"
              [max]="today"
            >
              <input
                matStartDate
                formControlName="start"
                placeholder="Start date"
              />
              <input matEndDate formControlName="end" placeholder="End date" />
            </mat-date-range-input>
            <mat-datepicker-toggle matIconSuffix [for]="storageRangePicker">
              <mat-icon matDatepickerToggleIcon>keyboard_arrow_down</mat-icon>
            </mat-datepicker-toggle>
            <mat-date-range-picker #storageRangePicker></mat-date-range-picker>
          </mat-form-field>
        </div>
      </div>
    </div>
    <div
      echarts
      class="echart"
      [id]="idPrefix + 'storage'"
      #historicalCharts
    ></div>
  </div>
</div>
